devguard
Vendor evidence

Create a vendor evidence record.

POST
/vendor-evidence/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/vendor-evidence/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "vendorId": "e9b57fab-1850-44d4-8499-71fd15c845a0",    "kind": "SOC2",    "title": "string",    "filename": "string",    "originalName": "string",    "mimeType": "string",    "size": 1,    "s3Key": "string"  }'
{
  "id": "string",
  "organizationId": "string",
  "vendorId": "string",
  "kind": "SOC2",
  "title": "string",
  "issuedAt": "string",
  "expiresAt": "string",
  "filename": "string",
  "originalName": "string",
  "mimeType": "string",
  "size": -9007199254740991,
  "s3Key": "string",
  "s3Bucket": "string",
  "uploadedBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?